#
# spec file for package libfmodex
#
%define major		4
%define libname		%mklibname fmodex %{major}
%define libnamedev	%mklibname fmodex -d


Name:           libfmodex
Version:        4.44.46
Release:        %mkrel 1
Summary:        FMOD EX API Linux
License:        FMOD Non-Commercial License
Group:          System/Libraries
Url:            http://www.fmod.org/fmod-downloads.html
Source:         fmodapi44446linux.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FMOD Ex is the older generation technology used in thousands of commercial titles.

%package -n	%{libname}
Summary:	FMOD EX API Linux Library
Group:		System/Libraries

%description -n %{libname}
FMOD Ex is the older generation technology used in thousands of commercial titles.

%package -n	%{libnamedev}
Summary:        Development files for FMOD EX API
Group:          Development/Libraries
Requires:       %{libname} = %{version}

%description -n %{libnamedev}
FMOD Ex is the older generation technology used in thousands of commercial titles.

This package provides development headers for FMOD EX API.

%prep
%setup -q -n fmodapi44446linux

%build

%install
rm -rf %buildroot
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}/fmodex
cp -r api/inc/*.h %{buildroot}%{_includedir}/fmodex
%ifarch x86_64
cp -r api/lib/libfmodex64-%{version}.so %{buildroot}%{_libdir}/libfmodex.so.%{version}
cp -r api/lib/libfmodexL64-%{version}.so %{buildroot}%{_libdir}/libfmodexl.so.%{version}
ln -sf %{_libdir}/libfmodex.so.%{version} %{buildroot}%{_libdir}/libfmodex.so.4
ln -sf %{_libdir}/libfmodex.so.%{version} %{buildroot}%{_libdir}/libfmodex64.so.4

ln -sf %{_libdir}/libfmodex.so.%{version} %{buildroot}%{_libdir}/libfmodex.so
ln -sf %{_libdir}/libfmodex.so.%{version} %{buildroot}%{_libdir}/libfmodex64.so

ln -sf %{_libdir}/libfmodexl.so.%{version} %{buildroot}%{_libdir}/libfmodexl.so.4

ln -sf %{_libdir}/libfmodexl.so.%{version} %{buildroot}%{_libdir}/libfmodexl64.so.4

ln -sf %{_libdir}/libfmodexl.so.%{version} %{buildroot}%{_libdir}/libfmodexl.so

ln -sf %{_libdir}/libfmodexl.so.%{version} %{buildroot}%{_libdir}/libfmodexl64.so

%else
cp -r api/lib/libfmodex-%{version}.so %{buildroot}%{_libdir}/libfmodex.so.%{version}
cp -r api/lib/libfmodexL-%{version}.so %{buildroot}%{_libdir}/libfmodexl.so.%{version}
ln -sf %{_libdir}/libfmodex.so.%{version} %{buildroot}%{_libdir}/libfmodex.so.4
ln -sf %{_libdir}/libfmodex.so.%{version} %{buildroot}%{_libdir}/libfmodex.so
ln -sf %{_libdir}/libfmodex.so.%{version} %{buildroot}%{_libdir}/libfmodex64.so
ln -sf %{_libdir}/libfmodexl.so.%{version} %{buildroot}%{_libdir}/libfmodexl.so.4
ln -sf %{_libdir}/libfmodexl.so.%{version} %{buildroot}%{_libdir}/libfmodexl.so

%endif


%files -n %{libname}
%defattr(-,root,root)
%doc documentation/*
%{_libdir}/libfmodex.so.4
%{_libdir}/libfmodexl.so.4
%{_libdir}/libfmodex.so.%{version}
%{_libdir}/libfmodexl.so.%{version}
%ifarch x86_64
%{_libdir}/libfmodex64.so.4
%{_libdir}/libfmodexl64.so.4
%{_libdir}/libfmodex64.so
%{_libdir}/libfmodexl64.so
%endif

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/fmodex/
%{_libdir}/libfmodex.so
%{_libdir}/libfmodexl.so


%changelog
* Sat Sep 12 2015 bb <bb> 4.44.46-1pclos2015
- import for kissplayer
